Bug 456838 - What should happen if you "touch /forcefsck" and reboot? (Seemed to freeze)
What should happen if you "touch /forcefsck" and reboot? (Seemed to freeze)
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: plymouth (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-07-27 20:57 EDT by Tom London
Modified: 2008-08-14 15:50 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-08-14 15:50:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tom London 2008-07-27 20:57:28 EDT
Description of problem:
I made the mistake of not clearing the "rhgb" option the next time I rebooted
after touching /forcefsck.

The animation ran for a long, long time, but finally froze.  No disk activity
either.

Forced reboot (this time with no "rhgb") redid the fsck and completed to
runlevel 5 (and removed /forcefsck).

Two questions:

1. Bug here? Does plymouth not play well with fsck running?

2. What should the screen show in this case?  Continued animation?  Some other
progress indication?  text?

Version-Release number of selected component (if applicable):
plymouth-0.5.0-5.fc10.i386

How reproducible:
Not sure....

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Ray Strode [halfline] 2008-07-28 16:07:18 EDT
Probably text for now.


We need to sprinkle some plymouth --hide-splash calls throughout rc.sysinit
Comment 2 Ray Strode [halfline] 2008-08-14 15:50:02 EDT
this should be fixed in rawhide.

Note You need to log in before you can comment on or make changes to this bug.